# Yet Another Json Schema Validator 

## Quick Start

Install

```shell
npm i yet-another-json-schema-validator --global
```

Use

```shell
yajsv
```

## File Search

Searches for a .schema.json and .json files, then it uses the schema associated to validate the json file.

Example:

hobbies.json
```
{"name": "James", "hobbies": [".NET"]}
```

hobbies.schema.json

```
{
  "description":"A person",
  "type":"object",
  "properties":{
    "name":{
      "type":"string"
    },
    "hobbies":{
      "type":"array",
      "items":{
          "type":"string"
      }
    }
  }
}
```