#!/usr/bin/env node

const Shell = require('node-powershell')
const { PSCommand } = require('node-powershell')

const ps = new Shell({
  executionPolicy: 'Bypass',
  noProfile: true,
  pwsh: true,
  pwshPrev: true
})

// Execute Script
const script = new PSCommand(`& "${require('path').resolve(__dirname, 'src/main.ps1')}"`)

ps.addCommand(script)

ps.invoke()
  .then(output => {
    console.log(output)
    return process.exit()
  })
  .catch(err => {
    console.log(err)
    return process.exit()
  })
